module.exports = {
  create: {
    requestBody: ["!dock_id", "user_name", "brief", "image", "file_path"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!dock_id", "user_name", "brief", "image", "file_path"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        dock_id: "dock_id",
        user_name: "user_name",
        brief: "brief",
        image: "image",
        file_path: "file_path",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
